#######################################
# Skrypt PowerShella
# (C) dr Holger Schwichtenberg
# http://www.powershell-doktor.de
########################################


# Parametry
$DOSTAWCA = "System.Data.SqlClient"
$CIĄGPOŁĄCZENIA = `
"Data Source=.\SQLEXPRESS;AttachDbFileName="+ `
"H:\WPS\B_Database\sqlexpress\BazaKont.mdf;Integrated Security=True;"
$SQL = "Select * from users"

# Tworzenie fabryki
$dostawca = [System.Data.Common.DbProviderFactories]::GetFactory($DOSTAWCA)

# Tworzenie obiektu połączenia
$conn = $dostawca.CreateConnection()
$conn.ConnectionString = $CIĄGPOŁĄCZENIA

# Otwieranie połączenia
$conn.Open();
"Stan połączenia: " + $conn.State

# Definiowanie polecenia
$cmd = $dostawca.CreateCommand()
$cmd.CommandText = $SQL
$cmd.Connection = $conn
# Wykonywanie polecenia
$reader = $cmd.ExecuteReader()

# Iterowanie wierszy danych 
while($reader.Read())
{
$reader.Item("ID").ToString() + ": " + $reader.Item("Imię") + " " + $reader.Item("Nazwisko")
}

# Zamykanie połączenia
$Conn.Close()
"Stan połączenia: " + $conn.State
